Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.dm.muws.events
Class WefConstants

    java.lang.Object
      org.apache.muse.ws.dm.muws.events.WefConstants

public class WefConstants
extends java.lang.Object

This class defines the names and static values defined for the WSDM Event Format, version 1.1.

Author:
  Dan Jemiolo (danj)

Field Summary
`static QName` | `AVAILABILITY_SITUATION_QNAME`
`static QName` | `CAPABILITY_SITUATION_QNAME`
`static QName` | `COMP_ADDRESS_QNAME`
`static QName` | `CONFIGURE_SITUATION_QNAME`
`static QName` | `CONNECT_SITUATION_QNAME`
`static QName` | `CREATE_SITUATION_QNAME`
`static QName` | `DEPENDENCY_SITUATION_QNAME`
`static QName` | `DESTROY_SITUATION_QNAME`
`static QName` | `EVENT_ID_QNAME`
`static QName` | `MESSAGE_QNAME`
`static QName` | `MGMT_EVENT_QNAME`
`static java.lang.String` | `MSG_ID`
`static java.lang.String` | `MSG_ID_TYPE`
`static java.lang.String` | `MUWS_P1_PREFIX`
`static java.lang.String` | `MUWS_P1_URI`
`static java.lang.String` | `MUWS_P2_PREFIX`
`static java.lang.String` | `MUWS_P2_URI`
`static QName` | `OTHER_SITUATION_QNAME`
`static QName` | `PRIORITY_QNAME`
`static QName` | `REPORT_SITUATION_QNAME`
`static java.lang.String` | `REPORT_TIME`
`static QName` | `REPORTER_COMP_QNAME`
`static QName` | `REQUEST_SITUATION_QNAME`
`static QName` | `RESOURCE_ID_QNAME`
`static java.lang.String` | `SEQUENCE_NUMBER`
`static QName` | `SEVERITY_QNAME`
`static QName` | `SITUATION_CATEGORY_QNAME`
`static QName` | `SITUATION_QNAME`
`static QName` | `SITUATION_TIME_QNAME`
`static QName` | `SOURCE_COMP_QNAME`
`static QName` | `START_SITUATION_QNAME`
`static QName` | `STOP_SITUATION_QNAME`
`static QName` | `SUBSTITUTABLE_MSG_QNAME`
`static QName` | `SUCCESS_DISPOSITION_QNAME`
`static java.lang.String` | `SUCCESSFUL`
`static java.lang.String` | `UNSUCCESSFUL`
`static QName` | `VALUE_QNAME`

Constructor Summary
`WefConstants()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MUWS_P1_PREFIX

    public static final java.lang.String MUWS_P1_PREFIX

See Also:
  Constant Field Values

### MUWS_P1_URI

    public static final java.lang.String MUWS_P1_URI

See Also:
  Constant Field Values

### MUWS_P2_PREFIX

    public static final java.lang.String MUWS_P2_PREFIX

See Also:
  Constant Field Values

### MUWS_P2_URI

    public static final java.lang.String MUWS_P2_URI

See Also:
  Constant Field Values

### AVAILABILITY_SITUATION_QNAME

    public static final QName AVAILABILITY_SITUATION_QNAME

### CAPABILITY_SITUATION_QNAME

    public static final QName CAPABILITY_SITUATION_QNAME

### COMP_ADDRESS_QNAME

    public static final QName COMP_ADDRESS_QNAME

### CONFIGURE_SITUATION_QNAME

    public static final QName CONFIGURE_SITUATION_QNAME

### CONNECT_SITUATION_QNAME

    public static final QName CONNECT_SITUATION_QNAME

### CREATE_SITUATION_QNAME

    public static final QName CREATE_SITUATION_QNAME

### DEPENDENCY_SITUATION_QNAME

    public static final QName DEPENDENCY_SITUATION_QNAME

### DESTROY_SITUATION_QNAME

    public static final QName DESTROY_SITUATION_QNAME

### EVENT_ID_QNAME

    public static final QName EVENT_ID_QNAME

### MESSAGE_QNAME

    public static final QName MESSAGE_QNAME

### MGMT_EVENT_QNAME

    public static final QName MGMT_EVENT_QNAME

### MSG_ID

    public static final java.lang.String MSG_ID

See Also:
  Constant Field Values

### MSG_ID_TYPE

    public static final java.lang.String MSG_ID_TYPE

See Also:
  Constant Field Values

### OTHER_SITUATION_QNAME

    public static final QName OTHER_SITUATION_QNAME

### PRIORITY_QNAME

    public static final QName PRIORITY_QNAME

### REPORT_SITUATION_QNAME

    public static final QName REPORT_SITUATION_QNAME

### REPORT_TIME

    public static final java.lang.String REPORT_TIME

See Also:
  Constant Field Values

### REPORTER_COMP_QNAME

    public static final QName REPORTER_COMP_QNAME

### REQUEST_SITUATION_QNAME

    public static final QName REQUEST_SITUATION_QNAME

### RESOURCE_ID_QNAME

    public static final QName RESOURCE_ID_QNAME

### SEQUENCE_NUMBER

    public static final java.lang.String SEQUENCE_NUMBER

See Also:
  Constant Field Values

### SEVERITY_QNAME

    public static final QName SEVERITY_QNAME

### SITUATION_CATEGORY_QNAME

    public static final QName SITUATION_CATEGORY_QNAME

### SITUATION_QNAME

    public static final QName SITUATION_QNAME

### SITUATION_TIME_QNAME

    public static final QName SITUATION_TIME_QNAME

### SOURCE_COMP_QNAME

    public static final QName SOURCE_COMP_QNAME

### START_SITUATION_QNAME

    public static final QName START_SITUATION_QNAME

### STOP_SITUATION_QNAME

    public static final QName STOP_SITUATION_QNAME

### SUBSTITUTABLE_MSG_QNAME

    public static final QName SUBSTITUTABLE_MSG_QNAME

### SUCCESS_DISPOSITION_QNAME

    public static final QName SUCCESS_DISPOSITION_QNAME

### SUCCESSFUL

    public static final java.lang.String SUCCESSFUL

See Also:
  Constant Field Values

### UNSUCCESSFUL

    public static final java.lang.String UNSUCCESSFUL

See Also:
  Constant Field Values

### VALUE_QNAME

    public static final QName VALUE_QNAME

Constructor Detail

### WefConstants

    public WefConstants()

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD